<!DOCTYPE html>
<html lang="en" xmlns:th="https://www.thymeleaf.org">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Products</title>
  
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css">
  <link rel="stylesheet" href="path/to/font-awesome/css/font-awesome.min.css">
 
  <link rel="stylesheet" th:href="@{/css/products.css}">
  
  <style>
 
  
  </style>
  
</head>
<body>
<div th:insert="header.html"></div>
<!-- Navigation Ends -->
 
<!-- <span th:each="imgname : ${imglist}">
    <img th:alt="${imgname}" th:src="@{'/productImages/' + ${imgname}}">
      <a href="/details" class="btn">See Details</a>
</span> -->
<!-- 
<span th:each="imgname : ${imglist}">
    <img th:alt="${imgname}" th:src="@{'/productImages/' + ${imgname}}">
      <a href="/details" class="btn">See Details</a>
      </span>  -->






	 <div class="container">
		<h4 style="text-align: center; margin-top: 15px;">Our Products</h4>
		
		 
						
		<div class="card-container">
		<div class="grid-container">
			<div th:each="product:${productList}"  class="grid-item">
				<div class="card">
				<span >
	   				<img th:alt="${imgname}" th:src="@{'/productImages/'+${product.images}}"/></span>
	   				<h2>ProductName:<span th:text="${product.pname}"></span></h2>
					<div class="card-content">
						 <a th:href="@{/product/get/{id}(id=${product.p_id})}" class="btn">See Details</a>
					</div>
					
				</div>
				</div>
			</div>
		</div>
		
		
		
		
		
	</div> 















































	<div class="footer">
				<div class="container">
					<p id="copyright">
						&copy; <span id="currentYear"></span> Agro-Bidding. All rights
						reserved.
					</p>
				</div>
			</div>

			<script src="logic.js"></script>
</body>
</html>